Debian Bug report logs - #695221
xcp-xapi: xe pif-reconfigure-ip doesn't work with non 255.255.255.0 subnet netmask

version graph

Package: xcp-xapi; Maintainer for xcp-xapi is Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>; Source for xcp-xapi is src:xen-api.

Reported by: Marc Lebel <mlebelj23all@yahoo.ca>

Date: Wed, 5 Dec 2012 15:39:04 UTC

Severity: important

Found in version xen-api/1.3.2-13

Fixed in version xen-api/1.3.2-15

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>:
Bug#695221; Package xcp-xapi. (Wed, 05 Dec 2012 15:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Lebel <mlebelj23all@yahoo.ca>:
New Bug report received and forwarded. Copy sent to Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>. (Wed, 05 Dec 2012 15:39:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Lebel <mlebelj23all@yahoo.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xcp-xapi: xe pif-reconfigure-ip doesn't work with non 255.255.255.0 subnet netmask
Date: Wed, 05 Dec 2012 10:38:19 -0500
Package: xcp-xapi
Version: 1.3.2-13
Severity: critical

I get this bug when installing XCP and configuring the network portion of it.

When I issue the following command:
xe pif-reconfigure-ip uuid=$PIF_UUID mode=static IP=10.0.0.10 netmask=255.255.255.240 gateway=10.0.0.1 DNS=10.5.1.2,10.5.1.3

My network interface looks like this (Broken):

eth2      Link encap:Ethernet  HWaddr 00:50:ec:24:c7:43
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1942287 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1651769 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:1808351392 (1.6 GiB)  TX bytes:1811952536 (1.6 GiB)
          Interrupt:21 Base address:0x4000

xenbr2    Link encap:Ethernet  HWaddr 00:50:ec:24:c7:43
          inet addr:10.0.0.10  Bcast:0.0.0.0  Mask:255.255.255.255
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1941758 errors:0 dropped:9 overruns:0 frame:0
          TX packets:1651725 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:1780637266 (1.6 GiB)  TX bytes:1809322340 (1.6 GiB)

I lose total network connectivity. And this is bad since I usually configure this remotely.

The only way I could get it working was with the following command:
xe pif-reconfigure-ip uuid=$PIF_UUID mode=static IP=10.0.0.10 netmask=255.255.255.0 gateway=10.0.0.1 DNS=10.5.1.2,10.5.1.3

And my network interface looks like this (working):

eth2      Link encap:Ethernet  HWaddr 00:50:ec:24:c7:43
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1945714 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1651770 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:1808603886 (1.6 GiB)  TX bytes:1811952596 (1.6 GiB)
          Interrupt:21 Base address:0x4000

xenbr2    Link encap:Ethernet  HWaddr 00:50:ec:24:c7:43
          inet addr:10.0.0.10  Bcast:0.0.0.0  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1945174 errors:0 dropped:9 overruns:0 frame:0
          TX packets:1651725 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:1780827498 (1.6 GiB)  TX bytes:1809322340 (1.6 GiB)

And I get network access this way.
The problem is that my network isn't configured like this and I don't want to change it just to accomodate this setup.

I also tried with other subnetmasks such as /25 /26 /27 ... and none of them worked except for /24.

Any help is appreciated!

Marc

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-686-pae (SMP w/8 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xcp-xapi depends on:
ii  hwdata                                         0.233-1
ii  libc6                                          2.13-37
ii  libpam0g                                       1.1.3-7.1
ii  libuuid1                                       2.20.1-5.2
ii  libvhd0                                        2.0.90-1
ii  libxen-4.1                                     4.1.3-4
ii  libxenstore3.0                                 4.1.3-4
ii  lsb-base                                       4.1+Debian8
ii  pciutils                                       1:3.1.9-5
ii  python                                         2.7.3~rc2-1
ii  python-xenapi                                  1.3.2-13
ii  stunnel4 [stunnel]                             3:4.53-1
ii  xcp-eliloader                                  0.1-4
ii  xcp-fe                                         0.5.2-3+b1
ii  xcp-networkd                                   1.3.2-13
ii  xcp-squeezed                                   1.3.2-13
ii  xcp-storage-managers                           0.1.1-3
ii  xcp-v6d                                        1.3.2-13
ii  xcp-xe                                         1.3.2-13
ii  xen-hypervisor-4.1-amd64 [xen-hypervisor-4.1]  4.1.3-4
ii  xen-utils-4.1                                  4.1.3-4
ii  zlib1g                                         1:1.2.7.dfsg-13

Versions of packages xcp-xapi recommends:
ii  cifs-utils           2:5.5-1
ii  xcp-guest-templates  0.1-4
ii  xcp-vncterm          0.1-2

xcp-xapi suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>:
Bug#695221; Package xcp-xapi. (Thu, 06 Dec 2012 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 06 Dec 2012 00:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 695221@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 695221@bugs.debian.org
Subject: re: xcp-xapi: xe pif-reconfigure-ip doesn't work with non 255.255.255.0 subnet netmask
Date: Wed, 5 Dec 2012 19:53:43 -0500
control: severity -1 normal

Downgrading the severity since this not a severe issue and its easy
enough to workaround.

Best wishes,
Mike



Severity set to 'normal' from 'critical' Request was from Michael Gilbert <mgilbert@debian.org> to 695221-submit@bugs.debian.org. (Thu, 06 Dec 2012 00:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>:
Bug#695221; Package xcp-xapi. (Thu, 06 Dec 2012 20:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 06 Dec 2012 20:27:04 GMT) Full text and rfc822 format available.

Message #17 received at 695221@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Marc Lebel <mlebelj23all@yahoo.ca>, 695221@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#695221: xcp-xapi: xe pif-reconfigure-ip doesn't work with non 255.255.255.0 subnet netmask
Date: Fri, 07 Dec 2012 04:22:29 +0800
On 12/05/2012 11:38 PM, Marc Lebel wrote:
> Package: xcp-xapi
> Version: 1.3.2-13
> Severity: critical

Hi,

Thanks for this bug report. But in the future, could you please check
the definition of the bugs seriousness?

Reportbug says:
"critical: makes unrelated software on the system (or the whole system)
break, or causes serious data loss, or introduces a security hole on
systems where you install the package."

This doesn't match *at all* your bug report.

> And I get network access this way.
> The problem is that my network isn't configured like this and I don't want to change it just to accomodate this setup.
> 
> I also tried with other subnetmasks such as /25 /26 /27 ... and none of them worked except for /24.
> 
> Any help is appreciated!

This is likely to be a missing feature than a bug, so I'm downgrading
this to severity: wishlist.

Note that severity has very little to do with how much someone wants to
fix an issue. In this case, you'll have to ask upstream about it, and
not the package maintainer. Probably, asking in the xen-api list would
be a good idea, if you want to see progress on this.

Cheers,

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>:
Bug#695221; Package xcp-xapi. (Fri, 07 Dec 2012 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Lebel <mlebel23@yahoo.ca>:
Extra info received and forwarded to list. Copy sent to Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 07 Dec 2012 12:51:03 GMT) Full text and rfc822 format available.


Message #22 received at 695221@bugs.debian.org (full text, mbox):

From: Marc Lebel <mlebel23@yahoo.ca>
To: 695221@bugs.debian.org
Date: Fri, 7 Dec 2012 04:48:28 -0800 (PST)
[Message part 1 (text/plain, inline)]
Thanks Mike and Thomas for clarifying the issue.

The reason I picked Critical was because of it's "description"...

The part that applied to me was "makes unrelated software on the system (or the whole system)
break" when i loose network connectivity, to me, that is broken.

In my case, the severity comes from a business standpoint. I manage the servers and someone else manages the network.
In this case, they WILL NOT(Refuse) change the local network subnet just because of programming errors that will/should be fixed in the future.

The reason why I didn't go upstream (besides not knowing where to go) was that In another installation of XCP from xensource works fine with my non /24 subnets. Only on Debian do I see this.

So now I feel like this won't be addressed.. I'm sure I am not the only one with this problem.

I also don't understand what you mean by :
>This doesn't match *at all* your bug report.

>> And I get network access this way.
>> The problem is that my network isn't configured like this and I don't want to change it just to accomodate this setup.
>> 
>> I also tried with other subnetmasks such as /25 /26 /27 ... and none of them worked except for /24.
>> 
>> Any help is appreciated!
I gave the problem and then the "solution" of what worked.. how does that not match?

Perhaps I need to be educated on the "debian way" of bug reporting.. I am all ears..

Marc

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>:
Bug#695221; Package xcp-xapi. (Sun, 10 Feb 2013 15:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>. (Sun, 10 Feb 2013 15:48:05 GMT) Full text and rfc822 format available.

Message #27 received at 695221@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 695221@bugs.debian.org, mlebelj23all@yahoo.ca
Subject: confirmed bug, serious
Date: Sun, 10 Feb 2013 16:45:03 +0100
control: severity +2 serious

I would call this an RC bug (serious), but not critical


It would be critical if the user lost data from some unrelated
application, etc


It is serious because

a) it makes the package and the whole system unusable for all but one
very specific network configuration (users with a /24)

b) using good old `xm' style Xen I never experienced any issue like
this, just using a /26 subnet with xm on squeeze is fine.

c) it will lead to a complete loss of connectivity for people accessing
a host remotely to set up XCP


http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=695221#10
refers to a workaround - nothing in the bug report qualifies as a
workaround (but I propose one below).  The reporter simply explained
that he could only make pif-reconfigure-ip work the way it should by
specifying a specific network mask (/24).  That in itself is not a
workaround, it is just an observation about what values work and what
values don't work.


I can confirm observing this identical issue, I configured a /29 netmask
and `ip addr' shows me that my server thinks it is on a /32.  This makes
the whole host unreachable.

I did a `find' in /etc and /var and I located the following file:

/var/lib/xcp/networkd.db

which contains the value {"interface_config":  ......"MY ADDRESS", 32]]]

The 32 is the bad subnet mask.  Using vi, I replaced it with 29  (for a
/29), rebooted, and it came up OK.  As I don't know XCP very well, I
don't want to suggest this is a valid workaround.  Could anyone with
more experience confirm if that file can be modified by hand in this
case?  Is there something else that could come along and clobber that
file?  Does xcp-networkd need to be stopped before modifying the file
safely?

If there is a workaround (what I describe above, or something else) for
this such that a /29 or some other valid netmask can be enabled, then
the bug could probably be downgraded to important but certainly not
normal, it is just too disruptive.

To extend the scope of what may qualify as a valid workaround:

a) is there some valid use case that avoids using pif-reconfigure-ip and
just let /etc/network/interfaces manage the IP?

b) should the user put a /24 subnet on a dummy interface and configure
eth0 or xenbr0 separately from XCP?

I also came across this:

http://lists.xen.org/archives/html/xen-api/2012-05/msg00104.html

which contradicts this:

http://wiki.xen.org/wiki/XCP_toolstack_on_a_Debian-based_distribution#Setup_the_network.2Finterfaces_file

Specifically, the mailing list posts suggests nothing should be in
/etc/network/interfaces, but the wiki suggests that the interface should
be described in /etc/network/interfaces (even though it will eventually
be reconfigured by xcp-networkd later in the boot process)





Severity set to 'serious' from 'normal' Request was from Daniel Pocock <daniel@pocock.com.au> to control@bugs.debian.org. (Sun, 10 Feb 2013 15:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>:
Bug#695221; Package xcp-xapi. (Mon, 11 Feb 2013 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>. (Mon, 11 Feb 2013 02:51:03 GMT) Full text and rfc822 format available.

Message #34 received at 695221@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Daniel Pocock <daniel@pocock.com.au>, 695221@bugs.debian.org
Cc: mlebelj23all@yahoo.ca, Mike McClurg <mike.mcclurg@gmail.com>, Jon Ludlam <jonathan.ludlam@eu.citrix.com>
Subject: Re: [Pkg-xen-devel] Bug#695221: confirmed bug, serious
Date: Mon, 11 Feb 2013 10:48:18 +0800
I don't think it's useful to bikeshed about the severity of an issue but...

On 02/10/2013 11:45 PM, Daniel Pocock wrote:
> It is serious because
> 
> a) it makes the package and the whole system unusable for all but one
> very specific network configuration (users with a /24)

Using a /24 is all but a "very specific network configuration", it's in
fact the most common one.

> b) using good old `xm' style Xen I never experienced any issue like
> this, just using a /26 subnet with xm on squeeze is fine.

This is totally unrelated.

> c) it will lead to a complete loss of connectivity for people accessing
> a host remotely to set up XCP

Sure, but it doesn't match the "serious" definition:

makes the package in question unusable by most or all users, or causes
data loss, or introduces a security hole allowing access to the accounts
of users who use the package.

Besides this, I don't think it's reasonable to delay the release of
Wheezy just for this bug.

> I did a `find' in /etc and /var and I located the following file:
> 
> /var/lib/xcp/networkd.db
> 
> which contains the value {"interface_config":  ......"MY ADDRESS", 32]]]
> 
> The 32 is the bad subnet mask.  Using vi, I replaced it with 29  (for a
> /29), rebooted, and it came up OK.

That's interesting!

I've added Mike and Jon as Cc:, hoping that they will be able to tell
wtf is going on, and why the db is being wrong.

> As I don't know XCP very well, I
> don't want to suggest this is a valid workaround.  Could anyone with
> more experience confirm if that file can be modified by hand in this
> case?  Is there something else that could come along and clobber that
> file?  Does xcp-networkd need to be stopped before modifying the file
> safely?

Mike must know.

> If there is a workaround (what I describe above, or something else) for
> this such that a /29 or some other valid netmask can be enabled, then
> the bug could probably be downgraded to important but certainly not
> normal, it is just too disruptive.

Ultimately, this is the job of the maintainer of a given package to
decide the seriousness of a bug. To me, setting it to either normal or
important is exactly the same (eg: it is on my radar, and I really want
to have it fix), and discussing the seriousness doesn't help. Discussing
ways to fix it does.

> To extend the scope of what may qualify as a valid workaround:
> 
> a) is there some valid use case that avoids using pif-reconfigure-ip and
> just let /etc/network/interfaces manage the IP?

I don't think so. XAPI needs to know how you configure your PIF.

> b) should the user put a /24 subnet on a dummy interface and configure
> eth0 or xenbr0 separately from XCP?

I don't think so.

> I also came across this:
> 
> http://lists.xen.org/archives/html/xen-api/2012-05/msg00104.html
> 
> which contradicts this:
> 
> http://wiki.xen.org/wiki/XCP_toolstack_on_a_Debian-based_distribution#Setup_the_network.2Finterfaces_file
> 
> Specifically, the mailing list posts suggests nothing should be in
> /etc/network/interfaces, but the wiki suggests that the interface should
> be described in /etc/network/interfaces (even though it will eventually
> be reconfigured by xcp-networkd later in the boot process)

As much as I know, you do have to configure stuff in
/etc/network/interfaces. This is described in the README.Debian for
xcp-xapi, under section 4.2 of the file. Though the networking might be
different when using openvswitch, I'm not sure about this.

Thomas



Severity set to 'important' from 'serious' Request was from Thomas Goirand <zigo@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2013 02:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>:
Bug#695221; Package xcp-xapi. (Mon, 11 Feb 2013 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>. (Mon, 11 Feb 2013 08:27:03 GMT) Full text and rfc822 format available.

Message #41 received at 695221@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: Thomas Goirand <zigo@debian.org>
Cc: 695221@bugs.debian.org, mlebelj23all@yahoo.ca, Mike McClurg <mike.mcclurg@gmail.com>, Jon Ludlam <jonathan.ludlam@eu.citrix.com>
Subject: Re: [Pkg-xen-devel] Bug#695221: confirmed bug, serious
Date: Mon, 11 Feb 2013 09:22:33 +0100
On 11/02/13 03:48, Thomas Goirand wrote:
> I don't think it's useful to bikeshed about the severity of an issue but...
>
>   

I can see you've put a lot of work into this package and I think people
will want to use it, especially when wheezy is released

That's why I'm reporting stuff like this and also providing suggested
solutions (e.g the possible workaround)

> On 02/10/2013 11:45 PM, Daniel Pocock wrote:
>   
>> It is serious because
>>
>> a) it makes the package and the whole system unusable for all but one
>> very specific network configuration (users with a /24)
>>     
> Using a /24 is all but a "very specific network configuration", it's in
> fact the most common one.
>
>   
<snip>
>> c) it will lead to a complete loss of connectivity for people accessing
>> a host remotely to set up XCP
>>     
> Sure, but it doesn't match the "serious" definition:
>
> makes the package in question unusable by most or all users, or causes
> data loss, or introduces a security hole allowing access to the accounts
> of users who use the package.
>
>   
I think that comes back to point (a) - if `most' or even a lot of users
are not using /24 (which is not clear to me), and if there is no
workaround, then maybe it is serious


> Besides this, I don't think it's reasonable to delay the release of
> Wheezy just for this bug.
>
>   

Having it marked RC may allow a patch into wheezy.  Maybe even a small
patch:

- updating the README

- changing pif-reconfigure-ip to give an error if the user tries a
netmask that is not supported, e.g.

"XCP only works on a Class C subnet with a netmask 255.255.255.0.  Your
changes have not been applied.
See bug 695221 or the README file."

These things would be small fixes but would make the user's first
experience of XCP less frustrating

The last thing you want is for people to get frustrated and start
thinking that they should try the Ubuntu version or the ISO installer:
http://www.xen.org/download/xcp/index_1.6.0.html#install

>> I did a `find' in /etc and /var and I located the following file:
>>
>> /var/lib/xcp/networkd.db
>>
>> which contains the value {"interface_config":  ......"MY ADDRESS", 32]]]
>>
>> The 32 is the bad subnet mask.  Using vi, I replaced it with 29  (for a
>> /29), rebooted, and it came up OK.
>>     
> That's interesting!
>
> I've added Mike and Jon as Cc:, hoping that they will be able to tell
> wtf is going on, and why the db is being wrong.
>
>   
>> As I don't know XCP very well, I
>> don't want to suggest this is a valid workaround.  Could anyone with
>> more experience confirm if that file can be modified by hand in this
>> case?  Is there something else that could come along and clobber that
>> file?  Does xcp-networkd need to be stopped before modifying the file
>> safely?
>>     
> Mike must know.
>
>   
>> If there is a workaround (what I describe above, or something else) for
>> this such that a /29 or some other valid netmask can be enabled, then
>> the bug could probably be downgraded to important but certainly not
>> normal, it is just too disruptive.
>>     
> Ultimately, this is the job of the maintainer of a given package to
> decide the seriousness of a bug. To me, setting it to either normal or
> important is exactly the same (eg: it is on my radar, and I really want
> to have it fix), and discussing the seriousness doesn't help. Discussing
> ways to fix it does.
>
>   
It's not quite the same, because the release team wouldn't accept a
patch/unblock request for a normal issue

I'm hoping that the fix for this might be quite trivial and therefore
acceptable to the release team.




Information forwarded to debian-bugs-dist@lists.debian.org, Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>:
Bug#695221; Package xcp-xapi. (Tue, 12 Feb 2013 03:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>. (Tue, 12 Feb 2013 03:24:06 GMT) Full text and rfc822 format available.

Message #46 received at 695221@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Daniel Pocock <daniel@pocock.com.au>
Cc: 695221@bugs.debian.org, mlebelj23all@yahoo.ca, Mike McClurg <mike.mcclurg@gmail.com>, Jon Ludlam <jonathan.ludlam@eu.citrix.com>
Subject: Re: [Pkg-xen-devel] Bug#695221: confirmed bug, serious
Date: Tue, 12 Feb 2013 11:22:12 +0800
On 02/11/2013 04:22 PM, Daniel Pocock wrote:
> Having it marked RC may allow a patch into wheezy.

Marking it RC is only delaying the release, that's it. I have already
fixed multiple bugs which were not marked as RC, and the release team
accepted the changes. Even after Wheezy is released, it is possible to
fix problems in the stable distribution.

> Maybe even a small patch:

A small patch is what we should all aim at. I'm sure the problem isn't
so complicated, and that we can fix it.

Of course, it would help if Mike and Jon were a bit more cooperative and
were trying to fix the issue, but it seems they are quite busy these
days (or maybe in holidays?).

> 
> - updating the README
> 
> - changing pif-reconfigure-ip to give an error if the user tries a
> netmask that is not supported, e.g.
> 
> "XCP only works on a Class C subnet with a netmask 255.255.255.0.  Your
> changes have not been applied.
> See bug 695221 or the README file."

Yeah, I think that is indeed a good idea to write this!

> These things would be small fixes but would make the user's first
> experience of XCP less frustrating
> 
> The last thing you want is for people to get frustrated and start
> thinking that they should try the Ubuntu version or the ISO installer:
> http://www.xen.org/download/xcp/index_1.6.0.html#install

Well, yes, I would like to have more Debian users, and that people use
less XCP from the ISO installer (eg: CentOS based). However, the Ubuntu
package of XCP is synced from Debian, so these are the exact same
package (with only a possible delay in having the Ubuntu package).
Nobody in Ubuntu works on the XCP packaging, the work is only been done
by myself in Debian.

>> Ultimately, this is the job of the maintainer of a given package to
>> decide the seriousness of a bug. To me, setting it to either normal or
>> important is exactly the same (eg: it is on my radar, and I really want
>> to have it fix), and discussing the seriousness doesn't help. Discussing
>> ways to fix it does.
>
> It's not quite the same, because the release team wouldn't accept a
> patch/unblock request for a normal issue

This statement is completely wrong. The criteria for the release team to
accept changes is not the severity of a bug only. If we find a way to
fix this problem, I'm quite sure that the release team will accept the
patch, regardless of the severity set in the BTS.

> I'm hoping that the fix for this might be quite trivial and therefore
> acceptable to the release team.

Yeah, that's more in line! If the fix is small, and even trivial, and
easy to review for them (which is quite likely to be the case,
considering that just fixing the db with an editor fixed it for you),
then they will accept it.

I'm also quite sure that they would accept any documentation change at
this point of the release.

Cheers,

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>:
Bug#695221; Package xcp-xapi. (Mon, 18 Feb 2013 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike McClurg <mike.mcclurg@gmail.com>:
Extra info received and forwarded to list. Copy sent to Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>. (Mon, 18 Feb 2013 18:06:03 GMT) Full text and rfc822 format available.

Message #51 received at 695221@bugs.debian.org (full text, mbox):

From: Mike McClurg <mike.mcclurg@gmail.com>
To: Thomas Goirand <zigo@debian.org>
Cc: Daniel Pocock <daniel@pocock.com.au>, 695221@bugs.debian.org, mlebelj23all@yahoo.ca, Jon Ludlam <jonathan.ludlam@eu.citrix.com>, rob.hoes@citrix.com
Subject: Re: [Pkg-xen-devel] Bug#695221: confirmed bug, serious
Date: Mon, 18 Feb 2013 18:02:35 +0000
[Message part 1 (text/plain, inline)]
Hi all,

Sorry for top posting. I spoke with Rob, the author of xcp-networkd, who
thinks that he's fixed this bug in a later upstream release. We'll take a
look at the repo tomorrow and see if we can find the commit that fixes this
issue.

Mike


On Tue, Feb 12, 2013 at 3:22 AM, Thomas Goirand <zigo@debian.org> wrote:

> On 02/11/2013 04:22 PM, Daniel Pocock wrote:
> > Having it marked RC may allow a patch into wheezy.
>
> Marking it RC is only delaying the release, that's it. I have already
> fixed multiple bugs which were not marked as RC, and the release team
> accepted the changes. Even after Wheezy is released, it is possible to
> fix problems in the stable distribution.
>
> > Maybe even a small patch:
>
> A small patch is what we should all aim at. I'm sure the problem isn't
> so complicated, and that we can fix it.
>
> Of course, it would help if Mike and Jon were a bit more cooperative and
> were trying to fix the issue, but it seems they are quite busy these
> days (or maybe in holidays?).
>
> >
> > - updating the README
> >
> > - changing pif-reconfigure-ip to give an error if the user tries a
> > netmask that is not supported, e.g.
> >
> > "XCP only works on a Class C subnet with a netmask 255.255.255.0.  Your
> > changes have not been applied.
> > See bug 695221 or the README file."
>
> Yeah, I think that is indeed a good idea to write this!
>
> > These things would be small fixes but would make the user's first
> > experience of XCP less frustrating
> >
> > The last thing you want is for people to get frustrated and start
> > thinking that they should try the Ubuntu version or the ISO installer:
> > http://www.xen.org/download/xcp/index_1.6.0.html#install
>
> Well, yes, I would like to have more Debian users, and that people use
> less XCP from the ISO installer (eg: CentOS based). However, the Ubuntu
> package of XCP is synced from Debian, so these are the exact same
> package (with only a possible delay in having the Ubuntu package).
> Nobody in Ubuntu works on the XCP packaging, the work is only been done
> by myself in Debian.
>
> >> Ultimately, this is the job of the maintainer of a given package to
> >> decide the seriousness of a bug. To me, setting it to either normal or
> >> important is exactly the same (eg: it is on my radar, and I really want
> >> to have it fix), and discussing the seriousness doesn't help. Discussing
> >> ways to fix it does.
> >
> > It's not quite the same, because the release team wouldn't accept a
> > patch/unblock request for a normal issue
>
> This statement is completely wrong. The criteria for the release team to
> accept changes is not the severity of a bug only. If we find a way to
> fix this problem, I'm quite sure that the release team will accept the
> patch, regardless of the severity set in the BTS.
>
> > I'm hoping that the fix for this might be quite trivial and therefore
> > acceptable to the release team.
>
> Yeah, that's more in line! If the fix is small, and even trivial, and
> easy to review for them (which is quite likely to be the case,
> considering that just fixing the db with an editor fixed it for you),
> then they will accept it.
>
> I'm also quite sure that they would accept any documentation change at
> this point of the release.
>
> Cheers,
>
> Thomas
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>:
Bug#695221; Package xcp-xapi. (Tue, 05 Mar 2013 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>. (Tue, 05 Mar 2013 12:15:03 GMT) Full text and rfc822 format available.

Message #56 received at 695221@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: Mike McClurg <mike.mcclurg@gmail.com>
Cc: Thomas Goirand <zigo@debian.org>, 695221@bugs.debian.org, mlebelj23all@yahoo.ca, Jon Ludlam <jonathan.ludlam@eu.citrix.com>, rob.hoes@citrix.com
Subject: Re: [Pkg-xen-devel] Bug#695221: confirmed bug, serious
Date: Tue, 05 Mar 2013 13:09:24 +0100
On 18/02/13 19:02, Mike McClurg wrote:
> Hi all,
>
> Sorry for top posting. I spoke with Rob, the author of xcp-networkd,
> who thinks that he's fixed this bug in a later upstream release. We'll
> take a look at the repo tomorrow and see if we can find the commit
> that fixes this issue.


Hi Mike,

I'm just wondering if you found anything detail about this issue?  In
particular, is it safe to backport the patch to the version of the tools
in Debian, and if not, is the workaround (editing the file by hand) valid?

Could you also comment on a couple of related things about the
capabilities of pif-reconfigure-ip, so that I can update the README.Debian?

- is there any way to set multiple addresses on an interface, within the
same subnet, using pif-reconfigure-ip?  E.g. if the subnet is
192.168.1.0/24, is it possible to assign both 192.168.1.2 and
192.168.1.3 to the dom0 host using a pif-reconfigure-ip command?

- does pif-reconfigure-ip support IPv6 addresses, or there is some other
command, or dom0 IPv6 is not possible?

- can pif commands be used with dummy interfaces, e.g. to create a
dummy0 interface on dom0, assign an IP address and then bridge that
dummy0 into an internal network?  Or pif commands are only valid for
genuine physical interfaces?

Regards,

Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>:
Bug#695221; Package xcp-xapi. (Fri, 22 Mar 2013 16:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harrie Pieters <harrie.pieters@citrix.com>:
Extra info received and forwarded to list. Copy sent to Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>. (Fri, 22 Mar 2013 16:57:14 GMT) Full text and rfc822 format available.

Message #61 received at 695221@bugs.debian.org (full text, mbox):

From: Harrie Pieters <harrie.pieters@citrix.com>
To: <695221@bugs.debian.org>
Subject: xcp-xapi: xe pif-reconfigure-ip doesn't work with non 255.255.255.0 subnet, netmask
Date: Fri, 22 Mar 2013 16:40:50 +0000
Hello All,

This bug has been fixed upstream, for the fix see:

https://github.com/xen-org/xen-api/commit/abed1d6321a9f56822e5c7a5ce3b183e25c90bb9

If this could be applied to a patch that would be great.

Cheers,

Harrie




Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Tue, 16 Apr 2013 18:06:05 GMT) Full text and rfc822 format available.

Notification sent to Marc Lebel <mlebelj23all@yahoo.ca>:
Bug acknowledged by developer. (Tue, 16 Apr 2013 18:06:05 GMT) Full text and rfc822 format available.

Message #66 received at 695221-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 695221-close@bugs.debian.org
Subject: Bug#695221: fixed in xen-api 1.3.2-15
Date: Tue, 16 Apr 2013 18:02:55 +0000
Source: xen-api
Source-Version: 1.3.2-15

We believe that the bug you reported is fixed in the latest version of
xen-api, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 695221@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated xen-api package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Mar 2013 04:45:10 +0800
Source: xen-api
Binary: xcp-xapi python-xenapi xcp-squeezed xcp-v6d libxenapi-ocaml-dev xcp-xapi-debug xcp-xe xcp-networkd
Architecture: source amd64 all
Version: 1.3.2-15
Distribution: unstable
Urgency: low
Maintainer: Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 libxenapi-ocaml-dev - Xen Cloud Platform - OCaml bindings
 python-xenapi - Xen Cloud Platform - XenAPI Python libraries
 xcp-networkd - Xen Cloud Platform - network configuration daemon
 xcp-squeezed - Xen Cloud Platform - memory ballooning daemon
 xcp-v6d    - Xen Cloud Platform - feature daemon
 xcp-xapi   - Xen Cloud Platform - XenAPI server
 xcp-xapi-debug - Xen Cloud Platform - debugging tools
 xcp-xe     - Xen Cloud Platform - command-line utilities
Closes: 695221 702337
Changes: 
 xen-api (1.3.2-15) unstable; urgency=low
 .
   * Fixes xe pif-reconfigure-ip with a netmask smaller than /24, thanks to
     Marc Lebel & Daniel Pocock for reporting (Closes: #695221).
   * Lots of fixes in the README.Debian (Closes: #702337).
Checksums-Sha1: 
 278eb4b581f9ee0b47112887a9a8c1e3267c57a1 1990 xen-api_1.3.2-15.dsc
 07e7d2a16c0b860ea51f81d3ad63e13976a8e652 66908 xen-api_1.3.2-15.debian.tar.gz
 018626c3e778776c4054d4d570d1b3865e5dc0c0 7466394 xcp-xapi_1.3.2-15_amd64.deb
 bc9132131c6260ba7dd7ba7da1981d3a1d8f0010 11108 python-xenapi_1.3.2-15_all.deb
 4a7fd3c85b8cede734f91045904933aa1404cc7a 663876 xcp-squeezed_1.3.2-15_amd64.deb
 c96b37a535ee322418f7ddd89fe80568be6f7361 850312 xcp-v6d_1.3.2-15_amd64.deb
 f7b1a418d5e1b113e826c2252f2df062439739b1 1204718 libxenapi-ocaml-dev_1.3.2-15_amd64.deb
 d73648718859ee085513f9c379665365258e93f1 8927184 xcp-xapi-debug_1.3.2-15_amd64.deb
 f789bdc11136b1db87b3dfa96d2c697eeb5ad011 264900 xcp-xe_1.3.2-15_amd64.deb
 591401ba15a42f71f234e6ff68a89274f3c759da 1002684 xcp-networkd_1.3.2-15_amd64.deb
Checksums-Sha256: 
 f06bce3153ba288c3e8bada9cb8a3ead6ca05dfd86a110b97857f049946dae5b 1990 xen-api_1.3.2-15.dsc
 a37c73ef1517628af749add1c59e86551c11a2b128113a5fb4c741fb2a296aca 66908 xen-api_1.3.2-15.debian.tar.gz
 df7e379c9d7161f21671d3c8d07bd9596c9c461c787d6b7dad7a3edf1c585c34 7466394 xcp-xapi_1.3.2-15_amd64.deb
 b331bb8a0417e7829df0897214d1195b7362a4a80d59322d686e4c4fb54fbf12 11108 python-xenapi_1.3.2-15_all.deb
 39ee4268c2432deb332a4e78e10e0945f675affe74dcde3962abce3798b2699c 663876 xcp-squeezed_1.3.2-15_amd64.deb
 9f7fd35c918b1e12802a5490d9e21df11c63bb802a2362b2b2004defefe12087 850312 xcp-v6d_1.3.2-15_amd64.deb
 15cc0981dc1f2412c1d756f043d2a4d5acc514eedae990f926bac8bcff9347cd 1204718 libxenapi-ocaml-dev_1.3.2-15_amd64.deb
 76329e1e43a1d24fb992d552b773987bc4602ea5bc698a84b34ea7898058534b 8927184 xcp-xapi-debug_1.3.2-15_amd64.deb
 66781d055ce090745e5fcae8809395b1d525a97e3e867df746c579ffb6afde50 264900 xcp-xe_1.3.2-15_amd64.deb
 4221939e185a7ec52c04fb5fb2a7aff1574aa8340b9b17df47824a5442fcb1b8 1002684 xcp-networkd_1.3.2-15_amd64.deb
Files: 
 44d1718d7bc9047ec1dfaccd6a831a19 1990 admin extra xen-api_1.3.2-15.dsc
 37fa2f6ec1d4696e73dae79d15c1e0dc 66908 admin extra xen-api_1.3.2-15.debian.tar.gz
 f2a757cf01ded58509fa531723d283c8 7466394 admin extra xcp-xapi_1.3.2-15_amd64.deb
 6f03ec55fa4375ac3d722fd2959a5c0a 11108 python extra python-xenapi_1.3.2-15_all.deb
 3211f5e7012b7c77a2a25cb612691102 663876 admin extra xcp-squeezed_1.3.2-15_amd64.deb
 98495fa781afa1523a3055713f245a17 850312 admin extra xcp-v6d_1.3.2-15_amd64.deb
 87374a2232b2d27eb7a535316e366817 1204718 ocaml extra libxenapi-ocaml-dev_1.3.2-15_amd64.deb
 cabcf9a59fbf5e2291c86a112b0906c7 8927184 debug extra xcp-xapi-debug_1.3.2-15_amd64.deb
 958ec6bc78994a4b20fe51943e164a61 264900 admin extra xcp-xe_1.3.2-15_amd64.deb
 9ab580f118590f6c77bc049e3661add2 1002684 admin extra xcp-networkd_1.3.2-15_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlFUbK0ACgkQl4M9yZjvmkkciQCg6sbZHVjWJ/eUQZRZiwmCa9gw
ub8AoMuK1dCur7FILgyxp9kQ1sJqMgQm
=qt4X
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 May 2013 07:26:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:57:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.